#include <stdio.h>
#include <stdlib.h>

int main()
{
    int A,B,C;
    float A1,B1,C1,ten=10.00;
    scanf("%d%d%d",&A,&B,&C);
do
{
  if (A>ten)
    A1=A/ten;
    else if (A%10==0)
    A1=A/ten;
    else
    A1=A;
ten=ten*10;
}
while (A1>10);
ten=10;
do
{
  if (B>ten)
    B1=B/ten;
    else if (B%10==0)
    B1=B/ten;
    else
    B1=B;
ten=ten*10;
}
while (B1>10);
ten=10;
do
{
  if (C>ten)
    C1=C/ten;
    else if (C%10==0)
    C1=C/ten;
    else
    C1=C;
ten=ten*10;
}
while (C1>10);
    if (A1>B1 && B1>=C1 &A1>C1)
    printf("%d%d%d",A,B,C);
    else if (A1>B1 && B1<=C1 &A1>C1)
    printf("%d%d%d",A,C,B);
    else if (A1<B1 && B1>C1 &A1>=C1)
    printf("%d%d%d",B,A,C);
    else if (A1<B1 && B1>C1 &A1<=C1)
    printf("%d%d%d",B,C,A);
    else if (A1>=B1 && B1<C1 &A1<C1)
    printf("%d%d%d",C,A,B);
    else if (A1<=B1 && B1<C1 &A1<C1)
    printf("%d%d%d",C,B,A);
    return 0;
}